package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CriminalRegisterProportion;
import com.lightinit.hsdatashow.entity.CriminalRegisterProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface CriminalRegisterProportionMapper {
    long countByExample(CriminalRegisterProportionExample example);

    int deleteByExample(CriminalRegisterProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CriminalRegisterProportion record);

    int insertSelective(CriminalRegisterProportion record);

    List<CriminalRegisterProportion> selectByExample(CriminalRegisterProportionExample example);

    CriminalRegisterProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CriminalRegisterProportion record, @Param("example") CriminalRegisterProportionExample example);

    int updateByExample(@Param("record") CriminalRegisterProportion record, @Param("example") CriminalRegisterProportionExample example);

    int updateByPrimaryKeySelective(CriminalRegisterProportion record);

    int updateByPrimaryKey(CriminalRegisterProportion record);

    List<ChartModel2> getCriRegPro();
}